<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kxs.store.biz.mapper.KxsWarehouseStockLogMapper">

    <resultMap type="com.kxs.store.api.model.KxsWarehouseStockLog" id="KxsWarehouseStockLogMap">
        <result column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="del_flag" property="delFlag" />
        <result column="version" property="version" />
        <result column="warehouse_id" property="warehouseId" />
        <result column="brand_id" property="brandId" />
        <result column="change_num" property="changeNum" />
        <result column="change_type" property="changeType" />
        <result column="before_stock_total" property="beforeStockTotal" />
        <result column="after_stock_total" property="afterStockTotal" />
        <result column="before_stock_num" property="beforeStockNum" />
        <result column="after_stock_num" property="afterStockNum" />
        <result column="before_delivery_num" property="beforeDeliveryNum" />
        <result column="after_delivery_num" property="afterDeliveryNum" />
        <result column="kind" property="kind" />

    </resultMap>

</mapper>
